Status: In Progress Start date:
Priority: High Due date:
Assignee: Samer - % Done: 50%
Category: Common Estimated time: 0.00 hour
Target version:
Resolution: Tags:
Description

Give RTL support (for Arabic and other similar languages)

History
#1 - 09/03/2012 04:17 PM - Vicente J. Ruiz Jurado
- Status changed from New to In Progress
- Assignee changed from Vicente J. Ruiz Jurado to Samer -
- % Done changed from 0 to 50

Currently a lot of work is done with this (even translation) but some styles should be fixed. Kune in chrome is worst than in firefox. Some work should
be done by native persons.

#2 - 09/08/2012 01:20 AM - Vicente J. Ruiz Jurado

Info for the CSS generated by GWT that are flipped automatically:
http://code.google.com/p/google-web-toolkit/wiki/CssResource#RTL_support

#3 - 09/08/2012 12:35 PM - Vicente J. Ruiz Jurado

More work in recent commit:5c3a968865e598316f151cebc853339c858f427a

#4 - 10/09/2012 12:57 AM - Samer -
Feedback from Shah & more:
    -  If you open the user-preferences in Arabic, only the first tab will appear (FF & Chromium)
    -  The chat doesn't behave well: the automatic message from "kune.cc user" cannot be closed when the chat window is opened. If I open a
conversation with a new user, then the (x) to close the "kune.cc user" chat appears.
    -  In the group space, in the user profile: button "Add a new buddy" should be aligned to the right; the same with the group icons;
